"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var TextMatchHighlighter = function (_a) {
    var children = _a.children, highlightedItemClass = _a.highlightedItemClass, itemClass = _a.itemClass, _b = _a.minChars, minChars = _b === void 0 ? 1 : _b, searchTerm = _a.searchTerm, truncateStart = _a.truncateStart, _c = _a.wrapperClass, wrapperClass = _c === void 0 ? '' : _c;
    var regexp = new RegExp("(".concat(searchTerm, ")"), 'gi');
    var parts = children.split(regexp);
    return (React.createElement("span", { className: wrapperClass, "aria-label": children }, parts.map(function (part, index) {
        if (part.toLowerCase() === searchTerm.toLowerCase() && searchTerm.length >= minChars) {
            return (React.createElement("mark", { style: {
                    backgroundColor: 'transparent',
                    color: 'inherit',
                    padding: 0,
                }, className: "".concat(highlightedItemClass ? " ".concat(highlightedItemClass) : ''), key: "higlighter-1-".concat(index) }, part));
        }
        return (React.createElement("span", { style: { color: 'inherit' }, className: "".concat(itemClass ? " ".concat(itemClass) : ''), key: "higlighter-2-".concat(index) }, index === 0 && truncateStart && part.length > truncateStart ? "...".concat(part.slice(part.length - 5)) : part));
    })));
};
exports.default = TextMatchHighlighter;
